using Edu.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Common.Enum.System
{
    /// <summary>
    /// 消息推送类型
    /// </summary>
    public enum PushMessageCategoryEnum
    {
        /// <summary>
        /// 老师备案评论
        /// </summary>
        [EnumField("老师备案评论")]
        LessonComment = 1,

        /// <summary>
        /// 值班信息
        /// </summary>
        [EnumField("值班信息")]
        UserDuty =2,

        /// <summary>
        /// 资产审核
        /// </summary>
        [EnumField("资产审核")]
        Property = 3,

        /// <summary>
        /// 请购单审核
        /// </summary>
        [EnumField("请购单审核")]
        BuyingRequisition = 4,

        /// <summary>
        /// 请购单采购
        /// </summary>
        [EnumField("请购单采购")]
        PurchaseRequisition = 5,

        /// <summary>
        /// 财务单据审核
        /// </summary>
        [EnumField("财务单据审核")]
        Finance = 6,

        /// <summary>
        /// 试听课
        /// </summary>
        [EnumField("试听课")]
        ReserveClass = 7,

        /// <summary>
        /// 耗材入库审核
        /// </summary>
        [EnumField("耗材入库审核")]
        SuppliesStokcInAudit = 8,

        /// <summary>
        /// 资产入库审核
        /// </summary>
        [EnumField("资产入库审核")]
        PropertyStokcInAudit = 9,

        /// <summary>
        /// 公告审批
        /// </summary>
        [EnumField("公告审批")]
        NoticeAuditTips = 10,

        /// <summary>
        /// 公告审批结果
        /// </summary>
        [EnumField("公告审批结果")]
        NoticeAuditResult = 11,

        /// <summary>
        /// 公告审批结果
        /// </summary>
        [EnumField("公告发布")]
        NoticePub = 11,

        /// <summary>
        /// 销售通知
        /// </summary>
        [EnumField("销售通知")]
        SalePeople = 12,

        /// <summary>
        /// 同业注册审核通知
        /// </summary>
        [EnumField("同业注册审核通知")]
        B2BCustomerAudit = 13,

        /// <summary>
        /// 同业录入客户通知
        /// </summary>
        [EnumField("同业录入客户通知")]
        B2BCustomerStu = 14,

        /// <summary>
        /// 同业下单通知
        /// </summary>
        [EnumField("同业下单通知")]
        B2BCustomerOrder = 15,

        /// <summary>
        /// 同业订单付款通知
        /// </summary>
        [EnumField("同业订单付款通知")]
        B2BCustomerOrderPay = 16,
    }
}
